openssl_csr_sign
openssl_dh_compute_key
OpenSSL Functions
PHP Manual

# openssl_decrypt

Decrypts data

### Description

string openssl_decrypt ( string `$data` , string `$method` , string `$password` [, int `$options` = 0 [, string `$iv` = "" ]] )

Takes a raw or base64 encoded string and decrypts it using a given method and key.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`data`

  The data.

`method`

  The cipher method.

`password`

  The password.

`options`

  `options` can be one of `OPENSSL_RAW_DATA`, `OPENSSL_ZERO_PADDING`.

`iv`

  A non-NULL Initialization Vector.

### Return Values

The decrypted string on success or `FALSE` on failure.

### Errors/Exceptions

Emits an `E_WARNING` level error if an unknown cipher algorithm is passed via the `method` parameter.

Emits an `E_WARNING` level error if an empty value is passed in via the `iv` parameter.

### Changelog

Version | Description
--- | ---
5.3.3 | The `iv` parameter was added.
5.4.0 | The `raw_output` was changed to `options`.

### See Also

- openssl_encrypt